<!-- do not translate this -->
| [Read these guidelines in other languages](/docs/i18n-languages) |
|-|
<!-- do not translate this -->

# 기여 지침

안녕하세요 👋!

freeCodeCamp.org는 여러분과 같은 수천 명의 친절한 자원봉사자 덕분에 운영할 수 있습니다. 우리는 여러분의 기여를 환영하며 감사하고 기쁘게 생각합니다.

우리는 [행동 강령] (https://www.freecodecamp.org/code-of-conduct)을 엄격히 시행합니다. 잠시 시간을 내어 읽어주십시오. 단지 196 단어밖에 되지 않습니다.

행복한 기여가 되길 바랍니다 🎉!

## 여러분이 도울 수 있는 몇 가지 재미있는 방법들

관심 분야에 기여할 수 있습니다:

1. [오픈소스 코드 베이스에 기여](#contribute-to-this-open-source-codebase). [가이드 문서](https://guide.freecodecamp.org/), [코딩 과제](https://learn.freecodecamp.org/) 편집, 학습 플랫폼의 버그 수정.

2. 우리의 [공개 포럼](https://www.freecodecamp.org/forum/)에서 사용자 돕기. [코딩 질문에 답변](https://www.freecodecamp.org/forum/?max_posts=1)하거나 [코딩 프로젝트에 대한 피드백을 제공](https://www.freecodecamp.org/forum/c/project-feedback?max_posts=1).

3. [유튜브 채널 비디오](https://www.youtube.com/channel/UC8butISFwT-Wl7EV0hUK0BQ/videos)에 자막이나 캡션을 추가.

## 오픈소스 코드 베이스에 기여

우리는 수천 가지의 [코딩 과제](https://learn.freecodecamp.org)와 [가이드 문서](https://guide.freecodecamp.org)로 구성된 막대한 오픈소스 코드 베이스를 가지고 있습니다.

다음과 같은 방법으로 도울 수 있습니다:

- [📝 연구, 가이드 문서 작성 및 업데이트](#research-write-and-update-our-guide-articles)

- [💻 창작, 코딩 과제 버그 업데이트 및 수정](#create-update-and-fix-bugs-in-our-coding-challenges)

- [🌐 가이드 문서 번역](#translate-guide-articles)

- [🛠 freeCodeCamp.org의 학습 플랫폼에서 버그 수정](#help-us-fix-bugs-in-freecodecamporgs-learning-platform)

### 연구, 가이드 문서 작성 및 업데이트

**가이드 문서란 무엇인가?**

가이드 문서는 여러분이 기술 개념을 빨리 이해하도록 도와줍니다. 좀 더 심층적인 자료로 넘어가기 전에 읽을 수 있는 짧고 쉬운 설명을 뜻합니다.

다음은 [HTML 앵커 요소에 대한 예시 문서](https://github.com/freeCodeCamp/freeCodeCamp/blob/master/guide/english/html/elements/a-tag/index.md)입니다.

**무엇에 관한 문서를 작성할 수 있을까?**

우리는 여러분이 문서 작성을 돕는 것을 환영합니다. 문서를 작성하기 위해 어떤 분야의 전문가가 될 필요가 없습니다. 가이드 문서는 오픈소스이기 때문에 실수하더라도 다른 기여자가 정정해줄 것입니다.

돕기 위해서 `stub article`을 [Guide website](https://guide.freecodecamp.org)에서 찾고, 문서를 작성한 다음, 풀 요청을 열어 `stub article`을 문서로 교체하십시오. [풀 요청](https://help.github.com/articles/about-pull-requests/)은 다른 사람들이 여러분의 변경 사항에 대해 알고, 검토하고, 채택할 수 있게 합니다.

쓰고 싶은 주제에 대한 `stub article`을 찾을 수 없다면 `stub article`을 만들고 초안 기사를 포함하는 풀 요청을 열 수 있습니다.

가이드 문서를 개선하고 싶다면 [가이드 문서를 작성하는 방법](/docs/how-to-work-on-guide-articles.md)을 참조하십시오.

### 창작, 코딩 과제 버그 업데이트 및 수정

모든 코딩 과제는 커뮤니티가 처리하고, 여러분과 같은 자원봉사자들로부터 전문적인 지식을 가져옵니다.

여러분은 프로그래밍을 확장하고 코딩 표현을 더 명확하게 하는데 도움을 줄 수 있습니다. 여러분은 개념을 더 잘 설명하기 위해 사용자 이야기를 업데이트할 수 있고 심지어 중복되는 것도 제거할 수 있습니다. 또한 도전 테스트를 개선하여 사람들의 코드를 더 정확하게 테스트할 수 있습니다.

코딩 과제를 개선하는데 관심이 있는 경우, [코딩 과제를 해결하는 방법](/docs/how-to-work-on-coding-challenges.md)을 참조하십시오.

### 가이드 문서 번역

여러분이 말하는 언어로 가이드 문서를 번역 할 수 있도록 도와주십시오. 현재 번역 버전은 다음과 같습니다:

- [아랍어 (عربي)](https://github.com/freeCodeCamp/freeCodeCamp/tree/master/guide/arabic)
- [중국어 (中文)](https://github.com/freeCodeCamp/freeCodeCamp/tree/master/guide/chinese)
- [포르투갈어 (Português)](https://github.com/freeCodeCamp/freeCodeCamp/tree/master/guide/portuguese)
- [러시아어 (русский)](https://github.com/freeCodeCamp/freeCodeCamp/tree/master/guide/russian)
- [스페인어 (Español)](https://github.com/freeCodeCamp/freeCodeCamp/tree/master/guide/spanish)

우리는 이러한 번역의 품질을 개선하는 데 여러분의 도움을 바랍니다. 수백만 명의 사람들이 freeCodeCamp.org의 영어 버전을 사용하고 있으며 수백만 명이이 번역된 버전을 더 많이 사용할 것으로 기대합니다.

[FreeCodeCamp 커리큘럼 7.0 버전](https://www.freecodecamp.org/forum/t/help-us-build-version-7-0-of-the-freecodecamp-curriculum/263546)이 끝나면 번역할 계획입니다.

### freeCodeCamp.org의 학습 플랫폼에서 버그 수정

당사의 학습 플랫폼은 최신 JavaScript 스택에서 실행되고 있습니다. Node.js, MongoDB, LoopBack, OAuth 2.0, React, Gatsby, Webpack 등을 포함하되 이에 국한되지 않는 다양한 구성요소, 도구 및 라이브러리를 갖추고 있습니다.

대략적으로,

- Node.js 기반 API 서버.
- React 기반 클라이언트 응용 프로그램 세트.
- 프론트엔드 프로젝트 평가 스크립트.

이를 위해 API, ES6 구문에 대한 많은 호기심과 이해가 필요합니다.

본질적으로 앞서 언급한 기술, 도구 및 라이브러리에 대한 기본적인 지식을 기대합니다. 여러분은 기여하기 위해 전문가가 될 필요가 없습니다.

관련 문제에 관해 질문 할 수 있으면 언제든지 알려주시기 바랍니다. 의심스러운 점이 있다면 우리의 개발자 팀인 Mrugesh Mohapatra [`@ raisedadead`] (https://github.com/raisedadead) 또는 Stuart Taylor [`@ bouncey`] (https://github.com/bouncey)가 도와줄 것입니다.
코드 베이스를 개선하는 데 도움을 주려면 [로컬에서 freeCodeCamp를 설치하는 방법] (/docs/ how-to-setup-freecodecamp-locally.md)을 참조하십시오.

## 자주 묻는 질문

**새로운 버그를 어떻게 신고할 수 있는가?**

만약 여러분이 새로운 버그를 발견했다고 생각한다면, 먼저 ["Help I've Found a Bug"](https://forum.freecodecamp.org/t/how-to-report-a-bug/19543)문서를 읽고 지시를 따르십시오.

새로운 버그라고 확신이 든다면, 계속하여 새로운 GitHub 이슈들을 만드십시오. 우리가 그 버그를 재현할 수 있도록 가능한 많은 정보를 포함해야 합니다. 이 문제를 해결하는 데 도움이 되는 미리 정의된 문제 템플릿이 있습니다,

도전에 대한 코딩 도움말을 찾는 모든 문제는 종결된다는 점에 유의하십시오. 이슈 추적기는 코드베이스 관련 이슈와 논의를 엄격히 하기 위한 것이다. 의심스러울 때마다 보고서를 작성하기 전, 포럼에서 도움을 구해야 합니다.

**보안 이슈를 어떻게 신고할 수 있는가?**

보안 문제에 대해 GitHub 문제를 만들지 마십시오. 대신 `security@freecodecamp.org`로 이메일을 보내주시면 즉시 살펴보겠습니다.

**문서에 포함되지 않은 문제가 있다면 어떻게 도움을 받을 수 있는가?**

도움을 요청하십시오:

- [The "Contributors" category of our public forum](https://www.freecodecamp.org/forum/c/contributors)
- [Our public contributors chat room on Gitter](https://gitter.im/FreeCodeCamp/Contributors)

우리는 여러분이 작업하고 싶은 주제에 기여할 수 있도록 도와드립니다. 새 쿼리를 게시하기 전에 쿼리를 검색하십시오. 공손한 마음과 인내심을 가지세요. 자원봉사자 및 운영자 커뮤니티는 항상 여러분의 질문에 답변합니다.

**평소 GitHub와 오픈소스에 익숙하지 않다면:**

[오픈소스 가이드에 기여하는 방법](https://github.com/freeCodeCamp/how-to-contribute-to-open-source)을 읽으십시오.

**이슈에 태그가 붙은 라벨들은 무엇을 의미하는가?**

커뮤니티 중재자는 우선순위, 심각도 및 기타 요인에 따라 이슈를 [분류](https://en.wikipedia.org/wiki/Software_bug#Bug_management)하고 풀을 요청합니다. [여기에서 완전한 용어집을 찾아보십시오](https://github.com/freecodecamp/freecodecamp/labels).

사용할 수 있는 작업에 대한 간략한 개요는 [**`help wanted`**](https://github.com/freeCodeCamp/freeCodeCamp/issues?q=is%3Aopen+is%3Aissue+label%3A%22help+wanted%22) 또는 [**`first timers welcome`**](https://github.com/freeCodeCamp/freeCodeCamp/issues?q=is%3Aopen+is%3Aissue+label%3A%22first+timers+welcome%22)를 거쳐야 합니다. 이에 대해 작업하기 전에 허락을 구할 필요가 없습니다..

If these issues lack clarity on what needs to be done, feel free to ask questions in the comments.

**오타를 찾았는데 풀 요청하기 전에 문제를 보고해야 하는가?**

오타 및 기타 단어 변경의 경우 먼저 문제를 만들지 않고 풀 요청을 직접 열 수 있다. 문제는 커리큘럼의 코드 또는 구조적인 측면과 관련된 더 큰 문제를 토론하는 데 더 많다.
